Bug 843275 - tesseract package has not built for multiple Fedora releases
tesseract package has not built for multiple Fedora releases
Product: Fedora
Classification: Fedora
Component: tesseract (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
Reported: 2012-07-25 18:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: tesseract-3.00-6.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-31 18:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix build failure (401 bytes, patch)
2012-07-26 00:47 EDT, Tom Lane
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2012-07-25 18:14:00 EDT
This package has not been built since Fedora 15, having failed multiple mass
rebuild cycles.

As part of the normal process for retiring packages that have not
successfully built, this package is scheduled to be removed from Fedora on
or around the Fedora 18 branch date (August 7th).

Please fix this as soon as possible.
Comment 1 Tom Lane 2012-07-26 00:47:18 EDT
Created attachment 600435 [details]
patch to fix build failure

This patch is sufficient to make it build again.

I notice an awful lot of warnings about strict aliasing though.  It would likely be a good idea to add -fno-strict-aliasing to the build CFLAGS.
Comment 2 Kevin Kofler 2012-07-31 18:16:35 EDT
Fixed in tesseract-3.00-6.fc18.

Note You need to log in before you can comment on or make changes to this bug.